﻿
using System;
using System.Collections.Generic;
        

class Program
    {
        static void Main(string[] args)
        {

            int[] numbers = new int[6];
            Console.WriteLine("Введите 6 чисел (от 1 до 6):");

            for (int i = 0; i < 6; i++)
            {
                numbers[i] = int.Parse(Console.ReadLine());
            }

            if (IsValidCube(numbers))
            {
                Console.WriteLine("yes");
            }
            else
            {
                Console.WriteLine("no");
            }
        }

        static bool IsValidCube(int[] numbers)
        {
            HashSet<int> uniqueNumbers = new HashSet<int>();


            foreach (int number in numbers)
            {
                if (number < 1 || number > 6)
                {
                    return false;
                }

                uniqueNumbers.Add(number);
            }

            return uniqueNumbers.Count == 6;
        }
    }

